Index: trunk/BNC/qwt/qwt_abstract_scale_draw.cpp
===================================================================
--- trunk/BNC/qwt/qwt_abstract_scale_draw.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_abstract_scale_draw.cpp	(revision 9383)
@@ -26,6 +26,6 @@
         minExtent( 0.0 )
     {
-        components = QwtAbstractScaleDraw::Backbone 
-            | QwtAbstractScaleDraw::Ticks 
+        components = QwtAbstractScaleDraw::Backbone
+            | QwtAbstractScaleDraw::Ticks
             | QwtAbstractScaleDraw::Labels;
 
@@ -198,5 +198,5 @@
         painter->save();
 
-        QPen pen = painter->pen();
+        pen = painter->pen();
         pen.setColor( palette.color( QPalette::WindowText ) );
         pen.setCapStyle( Qt::FlatCap );
@@ -227,5 +227,5 @@
         painter->save();
 
-        QPen pen = painter->pen();
+        pen = painter->pen();
         pen.setColor( palette.color( QPalette::WindowText ) );
         pen.setCapStyle( Qt::FlatCap );
@@ -393,17 +393,16 @@
     const QFont &font, double value ) const
 {
-    QMap<double, QwtText>::const_iterator it = d_data->labelCache.find( value );
-    if ( it == d_data->labelCache.end() )
-    {
-        QwtText lbl = label( value );
-        lbl.setRenderFlags( 0 );
-        lbl.setLayoutAttribute( QwtText::MinimumLayout );
-
-        ( void )lbl.textSize( font ); // initialize the internal cache
-
-        it = d_data->labelCache.insert( value, lbl );
-    }
-
-    return ( *it );
+    QMap<double, QwtText>::const_iterator it1 = d_data->labelCache.constFind( value );
+    if ( it1 != d_data->labelCache.constEnd() )
+        return *it1;
+
+    QwtText lbl = label( value );
+    lbl.setRenderFlags( 0 );
+    lbl.setLayoutAttribute( QwtText::MinimumLayout );
+
+    ( void )lbl.textSize( font ); // initialize the internal cache
+
+    QMap<double, QwtText>::iterator it2 = d_data->labelCache.insert( value, lbl );
+    return *it2;
 }
 
Index: trunk/BNC/qwt/qwt_abstract_scale_draw.h
===================================================================
--- trunk/BNC/qwt/qwt_abstract_scale_draw.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_abstract_scale_draw.h	(revision 9383)
@@ -55,5 +55,5 @@
     virtual ~QwtAbstractScaleDraw();
 
-    void setScaleDiv( const QwtScaleDiv &s );
+    void setScaleDiv( const QwtScaleDiv & );
     const QwtScaleDiv& scaleDiv() const;
 
@@ -69,5 +69,5 @@
     double maxTickLength() const;
 
-    void setSpacing( double margin );
+    void setSpacing( double );
     double spacing() const;
 
Index: trunk/BNC/qwt/qwt_abstract_slider.cpp
===================================================================
--- trunk/BNC/qwt/qwt_abstract_slider.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_abstract_slider.cpp	(revision 9383)
@@ -18,5 +18,5 @@
 #endif
 
-static double qwtAlignToScaleDiv( 
+static double qwtAlignToScaleDiv(
     const QwtAbstractSlider *slider, double value )
 {
@@ -28,5 +28,5 @@
         return sd.lowerBound();
 
-    if ( tValue == slider->transform( sd.lowerBound() ) )
+    if ( tValue == slider->transform( sd.upperBound() ) )
         return sd.upperBound();
 
@@ -107,5 +107,5 @@
 }
 
-/*! 
+/*!
   Set the value to be valid/invalid
 
@@ -122,6 +122,6 @@
 
         Q_EMIT valueChanged( d_data->value );
-    }   
-}   
+    }
+}
 
 //! \return True, when the value is invalid
@@ -129,5 +129,5 @@
 {
     return d_data->isValid;
-}   
+}
 
 /*!
@@ -168,7 +168,7 @@
   \brief Enables or disables tracking.
 
-  If tracking is enabled, the slider emits the valueChanged() 
-  signal while the movable part of the slider is being dragged. 
-  If tracking is disabled, the slider emits the valueChanged() signal 
+  If tracking is enabled, the slider emits the valueChanged()
+  signal while the movable part of the slider is being dragged.
+  If tracking is disabled, the slider emits the valueChanged() signal
   only when the user releases the slider.
 
@@ -288,5 +288,5 @@
    Wheel Event handler
 
-   In/decreases the value by s number of steps. The direction 
+   In/decreases the value by s number of steps. The direction
    depends on the invertedControls() property.
 
@@ -459,5 +459,5 @@
 
   The range of the slider is divided into a number of steps from
-  which the value increments according to user inputs depend. 
+  which the value increments according to user inputs depend.
 
   The default setting is 100.
@@ -485,5 +485,5 @@
 
   The range of the slider is divided into a number of steps from
-  which the value increments according to user inputs depend. 
+  which the value increments according to user inputs depend.
 
   \param stepCount Number of steps
@@ -495,5 +495,5 @@
 {
     d_data->singleSteps = stepCount;
-}   
+}
 
 /*!
@@ -504,11 +504,11 @@
 {
     return d_data->singleSteps;
-}   
-
-/*! 
+}
+
+/*!
   \brief Set the number of steps for a page increment
-    
+
   The range of the slider is divided into a number of steps from
-  which the value increments according to user inputs depend. 
+  which the value increments according to user inputs depend.
 
   \param stepCount Number of steps
@@ -541,11 +541,11 @@
 */
 void QwtAbstractSlider::setStepAlignment( bool on )
-{   
+{
     if ( on != d_data->stepAlignment )
     {
         d_data->stepAlignment = on;
     }
-}   
-    
+}
+
 /*!
   \return True, when step alignment is enabled
@@ -586,6 +586,6 @@
 
 /*!
-  If wrapping is true stepping up from upperBound() value will 
-  take you to the minimum() value and vice versa. 
+  If wrapping is true stepping up from upperBound() value will
+  take you to the minimum() value and vice versa.
 
   \param on En/Disable wrapping
@@ -595,10 +595,10 @@
 {
     d_data->wrapping = on;
-}   
+}
 
 /*!
   \return True, when wrapping is set
   \sa setWrapping()
- */ 
+ */
 bool QwtAbstractSlider::wrapping() const
 {
@@ -609,6 +609,6 @@
   Invert wheel and key events
 
-  Usually scrolling the mouse wheel "up" and using keys like page 
-  up will increase the slider's value towards its maximum. 
+  Usually scrolling the mouse wheel "up" and using keys like page
+  up will increase the slider's value towards its maximum.
   When invertedControls() is enabled the value is scrolled
   towards its minimum.
@@ -645,5 +645,5 @@
 void QwtAbstractSlider::incrementValue( int stepCount )
 {
-    const double value = incrementedValue( 
+    const double value = incrementedValue(
         d_data->value, stepCount );
 
@@ -656,12 +656,12 @@
 
 /*!
-  Increment a value 
-
-  \param value Value 
+  Increment a value
+
+  \param value Value
   \param stepCount Number of steps
 
   \return Incremented value
  */
-double QwtAbstractSlider::incrementedValue( 
+double QwtAbstractSlider::incrementedValue(
     double value, int stepCount ) const
 {
@@ -684,5 +684,5 @@
         // we need equidant steps according to
         // paint device coordinates
-        const double range = transformation->transform( maximum() ) 
+        const double range = transformation->transform( maximum() )
             - transformation->transform( minimum() );
 
@@ -691,5 +691,5 @@
         double v = transformation->transform( value );
 
-        v = qRound( v / stepSize ) * stepSize; 
+        v = qRound( v / stepSize ) * stepSize;
         v += stepCount * range / d_data->totalSteps;
 
@@ -757,5 +757,5 @@
         if ( stepSize > 0.0 )
         {
-            value = lowerBound() + 
+            value = lowerBound() +
                 qRound( ( value - lowerBound() ) / stepSize ) * stepSize;
         }
Index: trunk/BNC/qwt/qwt_abstract_slider.h
===================================================================
--- trunk/BNC/qwt/qwt_abstract_slider.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_abstract_slider.h	(revision 9383)
@@ -18,12 +18,12 @@
 
   A slider widget displays a value according to a scale.
-  The class is designed as a common super class for widgets like 
+  The class is designed as a common super class for widgets like
   QwtKnob, QwtDial and QwtSlider.
 
-  When the slider is nor readOnly() its value can be modified 
-  by keyboard, mouse and wheel inputs. 
+  When the slider is nor readOnly() its value can be modified
+  by keyboard, mouse and wheel inputs.
 
   The range of the slider is divided into a number of steps from
-  which the value increments according to user inputs depend. 
+  which the value increments according to user inputs depend.
   Only for linear scales the number of steps correspond with
   a fixed step size.
@@ -68,5 +68,5 @@
     uint pageSteps() const;
 
-    void setStepAlignment( bool ); 
+    void setStepAlignment( bool );
     bool stepAlignment() const;
 
@@ -81,5 +81,5 @@
 
 public Q_SLOTS:
-    void setValue( double val );
+    void setValue( double value );
 
 Q_SIGNALS:
@@ -88,6 +88,6 @@
       \brief Notify a change of value.
 
-      When tracking is enabled (default setting), 
-      this signal will be emitted every time the value changes. 
+      When tracking is enabled (default setting),
+      this signal will be emitted every time the value changes.
 
       \param value New value
@@ -147,5 +147,5 @@
     virtual double scrolledTo( const QPoint &pos ) const = 0;
 
-    void incrementValue( int numSteps );
+    void incrementValue( int stepCount );
 
     virtual void scaleChange();
@@ -154,5 +154,5 @@
     virtual void sliderChange();
 
-    double incrementedValue( 
+    double incrementedValue(
         double value, int stepCount ) const;
 
Index: trunk/BNC/qwt/qwt_analog_clock.cpp
===================================================================
--- trunk/BNC/qwt/qwt_analog_clock.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_analog_clock.cpp	(revision 9383)
@@ -53,5 +53,5 @@
     setTotalSteps( 60 );
 
-    const int secondsPerHour = 60.0 * 60.0; 
+    const int secondsPerHour = 60.0 * 60.0;
 
     QList<double> majorTicks;
@@ -73,5 +73,5 @@
 
     QColor knobColor = palette().color( QPalette::Active, QPalette::Text );
-    knobColor = knobColor.dark( 120 );
+    knobColor = knobColor.darker( 120 );
 
     QColor handColor;
@@ -83,5 +83,5 @@
         {
             width = 2;
-            handColor = knobColor.dark( 120 );
+            handColor = knobColor.darker( 120 );
         }
         else
@@ -201,5 +201,5 @@
     {
         const double hours = value() / ( 60.0 * 60.0 );
-        const double minutes = 
+        const double minutes =
             ( value() - qFloor(hours) * 60.0 * 60.0 ) / 60.0;
         const double seconds = value() - qFloor(hours) * 60.0 * 60.0
@@ -214,5 +214,5 @@
         {
             const double d = 360.0 - angle[hand] - origin();
-            drawHand( painter, static_cast<Hand>( hand ), 
+            drawHand( painter, static_cast<Hand>( hand ),
                 center, radius, d, colorGroup );
         }
Index: trunk/BNC/qwt/qwt_arrow_button.h
===================================================================
--- trunk/BNC/qwt/qwt_arrow_button.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_arrow_button.h	(revision 9383)
@@ -36,5 +36,5 @@
     virtual void paintEvent( QPaintEvent *event );
 
-    virtual void drawButtonLabel( QPainter *p );
+    virtual void drawButtonLabel( QPainter * );
     virtual void drawArrow( QPainter *,
         const QRect &, Qt::ArrowType ) const;
Index: trunk/BNC/qwt/qwt_color_map.cpp
===================================================================
--- trunk/BNC/qwt/qwt_color_map.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_color_map.cpp	(revision 9383)
@@ -47,6 +47,6 @@
             a = qAlpha( rgb );
 
-            /* 
-                when mapping a value to rgb we will have to calcualate: 
+            /*
+                when mapping a value to rgb we will have to calcualate:
                    - const int v = int( ( s1.v0 + ratio * s1.vStep ) + 0.5 );
 
@@ -346,5 +346,5 @@
 QColor QwtLinearColorMap::color1() const
 {
-    return QColor( d_data->colorStops.rgb( d_data->mode, 0.0 ) );
+    return QColor::fromRgba( d_data->colorStops.rgb( d_data->mode, 0.0 ) );
 }
 
@@ -355,5 +355,5 @@
 QColor QwtLinearColorMap::color2() const
 {
-    return QColor( d_data->colorStops.rgb( d_data->mode, 1.0 ) );
+    return QColor::fromRgba( d_data->colorStops.rgb( d_data->mode, 1.0 ) );
 }
 
Index: trunk/BNC/qwt/qwt_color_map.h
===================================================================
--- trunk/BNC/qwt/qwt_color_map.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_color_map.h	(revision 9383)
@@ -107,5 +107,5 @@
 
     QwtLinearColorMap( QwtColorMap::Format = QwtColorMap::RGB );
-    QwtLinearColorMap( const QColor &from, const QColor &to,
+    QwtLinearColorMap( const QColor &color1, const QColor &color2,
         QwtColorMap::Format = QwtColorMap::RGB );
 
@@ -185,5 +185,7 @@
     {
         const unsigned int index = colorIndex( interval, value );
-        return colorTable( interval )[index]; // slow
+
+        const QVector<QRgb> rgbTable = colorTable( interval );
+        return rgbTable[index]; // slow
     }
 }
Index: trunk/BNC/qwt/qwt_column_symbol.cpp
===================================================================
--- trunk/BNC/qwt/qwt_column_symbol.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_column_symbol.cpp	(revision 9383)
@@ -115,7 +115,7 @@
         style( QwtColumnSymbol::Box ),
         frameStyle( QwtColumnSymbol::Raised ),
+        palette( Qt::gray ),
         lineWidth( 2 )
     {
-        palette = QPalette( Qt::gray );
     }
 
@@ -288,6 +288,6 @@
         default:
         {
-            painter->fillRect( r, d_data->palette.window() );
-        }
-    }
-}
+            painter->fillRect( r.adjusted( 0, 0, 1, 1 ), d_data->palette.window() );
+        }
+    }
+}
Index: trunk/BNC/qwt/qwt_column_symbol.h
===================================================================
--- trunk/BNC/qwt/qwt_column_symbol.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_column_symbol.h	(revision 9383)
@@ -137,5 +137,5 @@
     virtual ~QwtColumnSymbol();
 
-    void setFrameStyle( FrameStyle style );
+    void setFrameStyle( FrameStyle );
     FrameStyle frameStyle() const;
 
Index: trunk/BNC/qwt/qwt_compass.cpp
===================================================================
--- trunk/BNC/qwt/qwt_compass.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_compass.cpp	(revision 9383)
@@ -18,5 +18,5 @@
 #include <qevent.h>
 
-/*! 
+/*!
   \brief Constructor
 
@@ -49,5 +49,5 @@
 }
 
-/*! 
+/*!
   \brief Constructor
 
@@ -96,5 +96,5 @@
   or returns an null text.
 
-  \return Label, or QString::null
+  \return Label
   \sa labelMap(), setLabelMap()
 */
Index: trunk/BNC/qwt/qwt_compass_rose.cpp
===================================================================
--- trunk/BNC/qwt/qwt_compass_rose.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_compass_rose.cpp	(revision 9383)
@@ -12,6 +12,7 @@
 #include "qwt_painter.h"
 #include <qpainter.h>
-
-static QPointF qwtIntersection( 
+#include <qpainterpath.h>
+
+static QPointF qwtIntersection(
     QPointF p11, QPointF p12, QPointF p21, QPointF p22 )
 {
@@ -213,5 +214,5 @@
 }
 
-/*! 
+/*!
   \return Width of the rose
   \sa setWidth()
Index: trunk/BNC/qwt/qwt_compass_rose.h
===================================================================
--- trunk/BNC/qwt/qwt_compass_rose.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_compass_rose.h	(revision 9383)
@@ -46,5 +46,5 @@
         \param colorGroup Color group
      */
-    virtual void draw( QPainter *painter, 
+    virtual void draw( QPainter *painter,
         const QPointF &center, double radius, double north,
         QPalette::ColorGroup colorGroup = QPalette::Active ) const = 0;
@@ -63,11 +63,11 @@
     virtual ~QwtSimpleCompassRose();
 
-    void setWidth( double w );
+    void setWidth( double );
     double width() const;
 
-    void setNumThorns( int count );
+    void setNumThorns( int );
     int numThorns() const;
 
-    void setNumThornLevels( int count );
+    void setNumThornLevels( int );
     int numThornLevels() const;
 
@@ -79,5 +79,5 @@
 
     static void drawRose( QPainter *, const QPalette &,
-        const QPointF &center, double radius, double origin, double width,
+        const QPointF &center, double radius, double north, double width,
         int numThorns, int numThornLevels, double shrinkFactor );
 
@@ -87,3 +87,3 @@
 };
 
-#endif 
+#endif
Index: trunk/BNC/qwt/qwt_counter.cpp
===================================================================
--- trunk/BNC/qwt/qwt_counter.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_counter.cpp	(revision 9383)
@@ -51,5 +51,5 @@
 
 /*!
-  The counter is initialized with a range is set to [0.0, 1.0] with 
+  The counter is initialized with a range is set to [0.0, 1.0] with
   0.01 as single step size. The value is invalid.
 
@@ -83,6 +83,6 @@
         layout->addWidget( btn );
 
-        connect( btn, SIGNAL( released() ), SLOT( btnReleased() ) );
-        connect( btn, SIGNAL( clicked() ), SLOT( btnClicked() ) );
+        connect( btn, SIGNAL(released()), SLOT(btnReleased()) );
+        connect( btn, SIGNAL(clicked()), SLOT(btnClicked()) );
 
         d_data->buttonDown[i] = btn;
@@ -94,6 +94,5 @@
     layout->addWidget( d_data->valueEdit );
 
-    connect( d_data->valueEdit, SIGNAL( editingFinished() ),
-         SLOT( textChanged() ) );
+    connect( d_data->valueEdit, SIGNAL(editingFinished()), SLOT(textChanged()) );
 
     layout->setStretchFactor( d_data->valueEdit, 10 );
@@ -107,6 +106,6 @@
         layout->addWidget( btn );
 
-        connect( btn, SIGNAL( released() ), SLOT( btnReleased() ) );
-        connect( btn, SIGNAL( clicked() ), SLOT( btnClicked() ) );
+        connect( btn, SIGNAL(released()), SLOT(btnReleased()) );
+        connect( btn, SIGNAL(clicked()), SLOT(btnClicked()) );
 
         d_data->buttonUp[i] = btn;
@@ -131,5 +130,5 @@
 }
 
-/*! 
+/*!
   Set the counter to be in valid/invalid state
 
@@ -137,5 +136,5 @@
   the buttons are disabled.
 
-  \param on If true the counter will be set as valid 
+  \param on If true the counter will be set as valid
 
   \sa setValue(), isValid()
@@ -156,10 +155,10 @@
         else
         {
-            d_data->valueEdit->setText( QString::null );
-        }
-    }   
-}   
-
-/*! 
+            d_data->valueEdit->setText( QString() );
+        }
+    }
+}
+
+/*!
   \return True, if the value is valid
   \sa setValid(), setValue()
@@ -168,5 +167,5 @@
 {
     return d_data->isValid;
-}   
+}
 
 /*!
@@ -181,5 +180,5 @@
 }
 
-/*! 
+/*!
    \return True, when the line line edit is read only. (default is no)
   \sa setReadOnly()
@@ -335,6 +334,6 @@
   \brief En/Disable wrapping
 
-  If wrapping is true stepping up from maximum() value will take 
-  you to the minimum() value and vice versa. 
+  If wrapping is true stepping up from maximum() value will take
+  you to the minimum() value and vice versa.
 
   \param on En/Disable wrapping
Index: trunk/BNC/qwt/qwt_counter.h
===================================================================
--- trunk/BNC/qwt/qwt_counter.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_counter.h	(revision 9383)
@@ -25,7 +25,7 @@
   and a step size. When the wrapping property is set
   the counter is circular.
- 
-  The number of steps by which a button increments or decrements the value 
-  can be specified using setIncSteps(). The number of buttons can be 
+
+  The number of steps by which a button increments or decrements the value
+  can be specified using setIncSteps(). The number of buttons can be
   changed with setNumButtons().
 
@@ -92,22 +92,22 @@
     void setReadOnly( bool );
 
-    void setNumButtons( int n );
+    void setNumButtons( int );
     int numButtons() const;
 
-    void setIncSteps( QwtCounter::Button btn, int nSteps );
-    int incSteps( QwtCounter::Button btn ) const;
+    void setIncSteps( QwtCounter::Button, int numSteps );
+    int incSteps( QwtCounter::Button ) const;
 
     virtual QSize sizeHint() const;
 
     double singleStep() const;
-    void setSingleStep( double s );
+    void setSingleStep( double stepSize );
 
     void setRange( double min, double max );
-    
+
     double minimum() const;
-    void setMinimum( double min );
+    void setMinimum( double );
 
     double maximum() const;
-    void setMaximum( double max );
+    void setMaximum( double );
 
     void setStepButton1( int nSteps );
Index: trunk/BNC/qwt/qwt_curve_fitter.cpp
===================================================================
--- trunk/BNC/qwt/qwt_curve_fitter.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_curve_fitter.cpp	(revision 9383)
@@ -334,6 +334,5 @@
 
 /*!
-  
-  \return Maximum for the number of points passed to a run 
+  \return Maximum for the number of points passed to a run
           of the algorithm - or 0, when unlimited
   \sa setChunkSize()
@@ -350,6 +349,8 @@
 QPolygonF QwtWeedingCurveFitter::fitCurve( const QPolygonF &points ) const
 {
+    if ( points.isEmpty() )
+        return points;
+
     QPolygonF fittedPoints;
-
     if ( d_data->chunkSize == 0 )
     {
Index: trunk/BNC/qwt/qwt_curve_fitter.h
===================================================================
--- trunk/BNC/qwt/qwt_curve_fitter.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_curve_fitter.h	(revision 9383)
@@ -78,5 +78,5 @@
     QwtSpline &spline();
 
-    void setSplineSize( int size );
+    void setSplineSize( int );
     int splineSize() const;
 
Index: trunk/BNC/qwt/qwt_date.cpp
===================================================================
--- trunk/BNC/qwt/qwt_date.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_date.cpp	(revision 9383)
@@ -32,5 +32,5 @@
 #endif
 
-static QString qwtExpandedFormat( const QString & format, 
+static QString qwtExpandedFormat( const QString & format,
     const QDateTime &dateTime, QwtDate::Week0Type week0Type )
 {
@@ -195,5 +195,5 @@
 }
 
-static inline void qwtFloorTime( 
+static inline void qwtFloorTime(
     QwtDate::IntervalType intervalType, QDateTime &dt )
 {
@@ -224,5 +224,5 @@
             dt.setTime( QTime( t.hour(), 0, 0 ) );
             break;
-        }   
+        }
         default:
             break;
@@ -233,5 +233,5 @@
 }
 
-static inline QDateTime qwtToTimeSpec( 
+static inline QDateTime qwtToTimeSpec(
     const QDateTime &dt, Qt::TimeSpec spec )
 {
@@ -255,4 +255,6 @@
 }
 
+#if 0
+
 static inline double qwtToJulianDay( int year, int month, int day )
 {
@@ -280,7 +282,9 @@
     if ( a < 0 )
         a -= b - 1;
-        
+
     return a / b;
-}   
+}
+
+#endif
 
 static inline QDate qwtToDate( int year, int month = 1, int day = 1 )
@@ -319,5 +323,5 @@
   Translate from double to QDateTime
 
-  \param value Number of milliseconds since the epoch, 
+  \param value Number of milliseconds since the epoch,
                1970-01-01T00:00:00 UTC
   \param timeSpec Time specification
@@ -373,5 +377,5 @@
 
     const QTime time = dt.time();
-    const double secs = 3600.0 * time.hour() + 
+    const double secs = 3600.0 * time.hour() +
         60.0 * time.minute() + time.second();
 
@@ -383,5 +387,5 @@
 
   \param dateTime Datetime value
-  \param intervalType Interval type, how to ceil. 
+  \param intervalType Interval type, how to ceil.
                       F.e. when intervalType = QwtDate::Months, the result
                       will be ceiled to the next beginning of a month
@@ -451,5 +455,5 @@
         {
             dt.setTime( QTime( 0, 0 ) );
-            dt.setDate( qwtToDate( dateTime.date().year(), 
+            dt.setDate( qwtToDate( dateTime.date().year(),
                 dateTime.date().month() ) );
 
@@ -484,12 +488,12 @@
 
   \param dateTime Datetime value
-  \param intervalType Interval type, how to ceil. 
+  \param intervalType Interval type, how to ceil.
                       F.e. when intervalType = QwtDate::Months,
-                      the result will be ceiled to the next 
+                      the result will be ceiled to the next
                       beginning of a month
   \return Floored datetime
   \sa floor()
  */
-QDateTime QwtDate::floor( const QDateTime &dateTime, 
+QDateTime QwtDate::floor( const QDateTime &dateTime,
     IntervalType intervalType )
 {
@@ -533,5 +537,5 @@
             dt.setTime( QTime( 0, 0 ) );
 
-            const QDate date = qwtToDate( dt.date().year(), 
+            const QDate date = qwtToDate( dt.date().year(),
                 dt.date().month() );
             dt.setDate( date );
@@ -556,5 +560,5 @@
   Minimum for the supported date range
 
-  The range of valid dates depends on how QDate stores the 
+  The range of valid dates depends on how QDate stores the
   Julian day internally.
 
@@ -577,5 +581,5 @@
   Maximum for the supported date range
 
-  The range of valid dates depends on how QDate stores the 
+  The range of valid dates depends on how QDate stores the
   Julian day internally.
 
@@ -600,5 +604,5 @@
 
   The first day of a week depends on the current locale
-  ( QLocale::firstDayOfWeek() ). 
+  ( QLocale::firstDayOfWeek() ).
 
   \param year Year
@@ -607,5 +611,5 @@
 
   \sa QLocale::firstDayOfWeek(), weekNumber()
- */ 
+ */
 QDate QwtDate::dateOfWeek0( int year, Week0Type type )
 {
@@ -624,5 +628,5 @@
     {
         // according to ISO 8601 the first week is defined
-        // by the first thursday. 
+        // by the first thursday.
 
         int d = Qt::Thursday - firstDayOfWeek;
@@ -641,5 +645,5 @@
 
   - QwtDate::FirstThursday\n
-    Corresponding to ISO 8601 ( see QDate::weekNumber() ). 
+    Corresponding to ISO 8601 ( see QDate::weekNumber() ).
 
   - QwtDate::FirstDay\n
@@ -737,5 +741,5 @@
     week number with a leading zero ( 01 - 53 )
 
-  As week 1 usually starts in the previous year a special rule 
+  As week 1 usually starts in the previous year a special rule
   is applied for formats, where the year is expected to match the
   week number - even if the date belongs to the previous year.
Index: trunk/BNC/qwt/qwt_date_scale_draw.cpp
===================================================================
--- trunk/BNC/qwt/qwt_date_scale_draw.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_date_scale_draw.cpp	(revision 9383)
@@ -37,5 +37,5 @@
   \brief Constructor
 
-  The default setting is to display tick labels for the 
+  The default setting is to display tick labels for the
   given time specification. The first week of a year is defined like
   for QwtDate::FirstThursday.
@@ -110,5 +110,5 @@
   \sa week0Type().
   \note week0Type has no effect beside for intervals classified as
-        QwtDate::Week. 
+        QwtDate::Week.
  */
 void QwtDateScaleDraw::setWeek0Type( QwtDate::Week0Type week0Type )
@@ -118,5 +118,5 @@
 
 /*!
-  \return Setting how to identify the first week of a year. 
+  \return Setting how to identify the first week of a year.
   \sa setWeek0Type()
  */
@@ -134,8 +134,8 @@
   \sa dateFormat(), dateFormatOfDate(), QwtDate::toString()
  */
-void QwtDateScaleDraw::setDateFormat( 
+void QwtDateScaleDraw::setDateFormat(
     QwtDate::IntervalType intervalType, const QString &format )
 {
-    if ( intervalType >= QwtDate::Millisecond && 
+    if ( intervalType >= QwtDate::Millisecond &&
         intervalType <= QwtDate::Year )
     {
@@ -149,8 +149,8 @@
   \sa setDateFormat(), dateFormatOfDate()
  */
-QString QwtDateScaleDraw::dateFormat( 
+QString QwtDateScaleDraw::dateFormat(
     QwtDate::IntervalType intervalType ) const
 {
-    if ( intervalType >= QwtDate::Millisecond && 
+    if ( intervalType >= QwtDate::Millisecond &&
         intervalType <= QwtDate::Year )
     {
@@ -158,5 +158,5 @@
     }
 
-    return QString::null;
+    return QString();
 }
 
@@ -182,5 +182,5 @@
     Q_UNUSED( dateTime )
 
-    if ( intervalType >= QwtDate::Millisecond && 
+    if ( intervalType >= QwtDate::Millisecond &&
         intervalType <= QwtDate::Year )
     {
@@ -205,5 +205,5 @@
 {
     const QDateTime dt = toDateTime( value );
-    const QString fmt = dateFormatOfDate( 
+    const QString fmt = dateFormatOfDate(
         dt, intervalType( scaleDiv() ) );
 
@@ -220,5 +220,5 @@
   \sa dateFormatOfDate()
  */
-QwtDate::IntervalType QwtDateScaleDraw::intervalType( 
+QwtDate::IntervalType QwtDateScaleDraw::intervalType(
     const QwtScaleDiv &scaleDiv ) const
 {
@@ -233,5 +233,5 @@
         for ( int j = QwtDate::Second; j <= intvType; j++ )
         {
-            const QDateTime dt0 = QwtDate::floor( dt, 
+            const QDateTime dt0 = QwtDate::floor( dt,
                 static_cast<QwtDate::IntervalType>( j ) );
 
